Subject: Re: bug#74831: 31.0.50; scratch/igc: segfaults on startup when called under gdb

From: Eli Zaretskii <[email-masked]>
Date: Thu, 12 Dec 2024 20:56:31 +0200

> From: Gregor Zattler <[email-masked]>
> Cc: [email-masked]
> Date: Thu, 12 Dec 2024 17:53:50 +0100
> 
> >> >> 1605	  *xcdr_addr (c) = n;
> >> >
> >> > So what is the value of xcdr_addr(s) here?  It looks like
> >> > dereferencing it causes the segfault, so its value might give us some
> >> > hints.
> >>
> >> sorry, I'm clueless:
> >>
> >> (gdb) print xcdr_addr
> >> No symbol "xcdr_addr" in current context.
> >
> > No, you should say
> >
> >   (gdb) print xcdr_addr(c)
> 
> this I also tried:
> 
> (gdb) print xcdr_addr(c)
> No symbol "xcdr_addr" in current context.

I guess you were in the wrong call-stack frame, then?

> > I think we can close this bug now.
> 
> 
> Fine with me.

Done.